#ifndef LOQTITLEBAR_H
#define LOQTITLEBAR_H

#include <QWidget>
#include <QPushButton>
#include <QVariant>
#include <QApplication>
#include <QEvent>

class LoQTitleBar : public QWidget
{
    Q_OBJECT
public:
    explicit LoQTitleBar(QWidget *parent = nullptr);
    void hideMixmumButton();
    void refreshLable();
protected:
    virtual bool eventFilter(QObject *obj, QEvent *event);

protected:
    void updateMaximize();

signals:

public slots:
    void onBnMaximizeClicked();

protected:
    QPushButton *bn_Minimize;
    QPushButton *bn_Maximize;
    QPushButton *bn_Close;
};

#endif // LOQTITLEBAR_H
